Index: tests/GuiChecks/Selection/Atoms/AtomById/testsuite-selection-select-atom-by-id.at
===================================================================
--- tests/GuiChecks/Selection/Atoms/AtomById/testsuite-selection-select-atom-by-id.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Selection/Atoms/AtomById/testsuite-selection-select-atom-by-id.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,71 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### 6. (un)select atom by id
+
+AT_SETUP([Selection - atom with specific id])
+AT_KEYWORDS([selection id atom select-atom-by-id])
+# go through all possible ids (0-7) and removed
+i=0
+while test $i -lt 8; do
+  file=id${i}_missing.xyz
+  # normal
+  AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomById/pre/test.xyz $file])
+  AT_CHECK([chmod u+w $file], 0)
+  AT_CHECK([../../molecuilder --dry-run -i $file -v 3 --select-atom-by-id ${i} -r --no-dry-run --store-session session-selection-select-atom-by-id.py --session-type python], 0[], [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-select-atom-by-id.py >session-selection-select-atom-by-id_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-select-atom-by-id_new.py], [], [ignore], [ignore])
+  AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomById/post/id${i}_missing.xyz])
+  ((i+=1))
+done
+AT_CLEANUP
+
+
+AT_SETUP([Selection - atom with specific id with Undo])
+AT_KEYWORDS([selection id atom select-atom-by-id undo])
+# go through all possible ids (0-7) and removed
+i=0
+while test $i -lt 8; do
+  file=id${i}_missing.xyz
+  # undo
+  AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomById/pre/test.xyz $file])
+  AT_CHECK([chmod u+w $file], 0)
+  AT_CHECK([../../molecuilder --dry-run -i $file -v 3 --select-atom-by-id ${i} --undo -r --no-dry-run --store-session session-selection-select-atom-by-id.py --session-type python], 0[], [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-select-atom-by-id.py >session-selection-select-atom-by-id_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-select-atom-by-id_new.py], [], [ignore], [ignore])
+  AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomById/post/test-undo.xyz])
+  ((i+=1))
+done
+AT_CLEANUP
+
+
+AT_SETUP([Selection - atom with specific id with Redo])
+AT_KEYWORDS([selection id atom select-atom-by-id redo])
+# go through all possible ids (0-7) and removed
+i=0
+while test $i -lt 8; do
+  file=id${i}_missing.xyz
+  # redo
+  AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomById/pre/test.xyz $file])
+  AT_CHECK([chmod u+w $file], 0)
+  AT_CHECK([../../molecuilder --dry-run -i $file -v 3 --select-atom-by-id ${i} --undo --redo -r --no-dry-run --store-session session-selection-select-atom-by-id.py --session-type python], 0[], [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-select-atom-by-id.py >session-selection-select-atom-by-id_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-select-atom-by-id_new.py], [], [ignore], [ignore])
+  AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomById/post/id${i}_missing.xyz])
+  ((i+=1))
+done
+AT_CLEANUP
